Account Request Detail
curl --request GET \
--url https://api.gcore.com/iam/activity_log/requests/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/iam/activity_log/requests/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/iam/activity_log/requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123456,
"actions": "2024-11-13T15:23:30Z",
"data": "string",
"user_email": "some@email.com",
"client": 123456,
"token": 123456,
"requested_at": "2024-11-13T15:23:30Z",
"path": "/users",
"remote_ip_address": "192.168.1.1",
"host": "example.com",
"method": "GET",
"query_params": "offset=20&limit=10",
"status_code": 200,
"reverted": true,
"user": 123456
}{
"errors": {}
}Account
Account Request Detail
Information about the account’s request detail.
GET
/
iam
/
activity_log
/
requests
/
{id}
Account Request Detail
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Request ID.
Response
OK.
ID.
Example:
123456
Actions type
Example:
"2024-11-13T15:23:30Z"
Request body
Example:
"string"
User Email
Example:
"some@email.com"
Account ID.
Example:
123456
Token ID.
Example:
123456
DateTime of request
Example:
"2024-11-13T15:23:30Z"
Request path
Example:
"/users"
IP Address
Example:
"192.168.1.1"
Host
Example:
"example.com"
Request method
Example:
"GET"
Request query params
Example:
"offset=20&limit=10"
Request status
Example:
200
Request request
Example:
true
User ID
Example:
123456
Was this page helpful?